Module java.httpclient
Package java.net.http

## Interface HttpHeaders

All Known Subinterfaces:
  HttpHeaders1

    public interface HttpHeaders

A read-only view of a set of received HTTP headers.

Since:
  9

### Method Summary

All Methods Instance Methods Abstract Methods
`List<String>` `allValues(String name)` Returns an unmodifiable List of all of the values of the given named header.
`Optional<String>` `firstValue(String name)` Returns an `Optional` containing the first value of the given named (and possibly multi-valued) header.
`Optional<Long>` `firstValueAsLong(String name)` Returns an `Optional` containing the first value of the named header field as an Optional<Long>.
`Map<String,List<String>>` `map()` Returns an unmodifiable multi Map view of this HttpHeaders.

### Method Detail

#### firstValue

    Optional<String> firstValue(String name)

Returns an `Optional` containing the first value of the given named (and possibly multi-valued) header. If the header is not present, then the returned `Optional` is empty.

Parameters:
  `name` - the header name
Returns:
  an `Optional<String>` for the first named value

#### firstValueAsLong

    Optional<Long> firstValueAsLong(String name)

Returns an `Optional` containing the first value of the named header field as an Optional<Long>. If the header is not present, then the Optional is empty. If the header is present but contains a value that does not parse as a `Long` value, then an exception is thrown.

Parameters:
  `name` - the header name
Returns:
  an `Optional<Long>`
Throws:
  `NumberFormatException` - if a value is found, but does not parse as a Long

#### allValues

    List<String> allValues(String name)

Returns an unmodifiable List of all of the values of the given named header. Always returns a List, which may be empty if the header is not present.

Parameters:
  `name` - the header name
Returns:
  a List of String values

#### map

    Map<String,List<String>> map()

Returns an unmodifiable multi Map view of this HttpHeaders. This interface should only be used when it is required to iterate over the entire set of headers.

Returns:
  the Map